<template>
	<div class="slider-text">
		<h2>{{ experience }}</h2>
		<p>{{ instruction }}</p>
		<button
			id="left"
			@click="prev">
			PREV
		</button>
		<button
			id="right"
			@click="next">
			NEXT
		</button>
	</div>
</template>

<script lang="ts">
	import { defineComponent } from "vue"
	import { useExperienceStore } from "@/stores/experience"

	interface DataComponent {
		instruction: string
		experience: string
	}

	export default defineComponent({
		name: "SliderText",
		data(): DataComponent {
			return {
				instruction: "",
				experience: "",
			}
		},
		methods: {
			prev() {
				useExperienceStore().prevStep()
				this.refreshStore()
			},
			next() {
				useExperienceStore().nextStep()
				this.refreshStore()
			},
			refreshStore() {
				this.instruction = useExperienceStore().actualInstruction
				this.experience = useExperienceStore().actualExperience
			},
		},
		mounted() {
			this.refreshStore()
		},
	})
</script>

<style scoped>
	slider-text {
		display: flex;
		align-items: center;
		justify-content: center;

		h2 {
			font-size: 2rem;
			margin-bottom: 5vh;
		}

		p {
			font-size: 1.5rem;
		}
	}
</style>
